/*
Example for Led_Driver_2 Click

    Date          : avg 2017.
    Author        : MikroE Team

Test configuration FT90x :
    
    MCU             : FT900
    Dev. Board      : EasyFT90x v7 
    SW              : mikroC PRO for FT900x v$${FT90x_COMPLIER_VER}

Description :

    ${EXAMPLE_DESCRIPTION}

*/
#include <stdint.h>

uint16_t pwmPeriod;
uint16_t dutyCycle;

void systemInit()
{
    dutyCycle = 0;
}

void Led_Driver_2_Init()
{
    pwmPeriod = PWM_Init(1000);
}

void Led_Driver_2_Task()
{
     dutyCycle += 50;
     PWM_ConfigChannel(dutyCycle,  _PWM_INIT_STATE_1, _PWM_CHANNEL_0);
     PWM_EnableOutput();
     if (dutyCycle > pwmPeriod )
        dutyCycle = 0;
     Delay_ms(2);

}

void main()
{
    systemInit();
    Led_Driver_2_Init();

    while( 1 )
    {
            Led_Driver_2_Task();
    }
}